{
    "doc": "Consent Status for 100k program",
    "fields": [
        {
            "default": false,
            "doc": "Is this individual consented to the programme?\nIt could simply be a family member that is not consented but for whom affection status is known",
            "name": "programmeConsent",
            "type": "boolean"
        },
        {
            "default": false,
            "doc": "Consent for feedback of primary findings?",
            "name": "primaryFindingConsent",
            "type": "boolean"
        },
        {
            "default": false,
            "doc": "Consent for secondary finding lookup",
            "name": "secondaryFindingConsent",
            "type": "boolean"
        },
        {
            "default": false,
            "doc": "Consent for carrier status check?",
            "name": "carrierStatusConsent",
            "type": "boolean"
        }
    ],
    "name": "ConsentStatus",
    "namespace": "org.gel.models.participant.avro",
    "type": "record"
}